SetVmRDP
SetVmRDP
PUT
/zstack/v1/vm-instances/{uuid}/actionsOperation ID
SetVmRDPSince
2.2Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe resource UUID.
Body Fields
enablebooleanRequiredWhether the RDP switch is enabled for the VM instance. That is, whether the VM instance can be accessed through RDP.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
